Pular para o conteúdo principal
PATCH
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
draft
Atualizar uma tabela existente
curl --request PATCH \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/draft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columns": [
    {
      "id": 123,
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123
        }
      ],
      "type": "BOOLEAN",
      "foreignColumnId": 123,
      "foreignTableId": 123,
      "maxNumberOfCharacters": 123,
      "maxNumberOfOptions": 123
    }
  ],
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "label": "<string>",
  "name": "<string>",
  "useForPages": true
}
'
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columnCount": 123,
  "columns": [
    {
      "deleted": true,
      "description": "<string>",
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "type": "BOOLEAN",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "createdByUserId": 123,
      "foreignColumnId": 123,
      "foreignIds": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "foreignIdsById": {},
      "foreignIdsByName": {},
      "foreignTableId": 123,
      "optionCount": 123,
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "updatedByUserId": 123,
      "width": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deleted": true,
  "deletedAt": "2023-11-07T05:31:56Z",
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "id": "<string>",
  "label": "<string>",
  "name": "<string>",
  "published": true,
  "publishedAt": "2023-11-07T05:31:56Z",
  "rowCount": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "useForPages": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  },
  "isOrderedManually": true,
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  }
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Professional

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

tableIdOrName
string
obrigatório

O ID ou nome da tabela HubDB.

Parâmetros de consulta

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

includeForeignIds
boolean

Defina como "true" para preencher os valores de ID externo no resultado.

isGetLocalizedSchema
boolean

Indica se deve recuperar o esquema localizado para a tabela.

Corpo

application/json
allowChildTables
boolean
obrigatório

Especifica se as tabelas secundárias podem ser criadas

allowPublicApiAccess
boolean
obrigatório

Especifica se a tabela pode ser lida pelo público sem autorização

columns
object[]
obrigatório

Lista de colunas na tabela

dynamicMetaTags
object
obrigatório

Especifica os pares de valores-chave dos campos de metadados com os IDs de coluna associados.

enableChildTablePages
boolean
obrigatório

Especifica a criação de páginas dinâmicas de vários níveis usando tabelas secundárias

label
string
obrigatório

Rótulo da tabela

name
string
obrigatório

Nome da tabela

useForPages
boolean
obrigatório

Especifica se a tabela pode ser usada para criação de páginas dinâmicas

Resposta

successful operation

allowChildTables
boolean
obrigatório

Especifica se as tabelas secundárias podem ser criadas

allowPublicApiAccess
boolean
obrigatório

Especifica se a tabela pode ser lida pelo público sem autorização

columnCount
integer<int32>
obrigatório

Número de colunas, incluindo as excluídas

columns
object[]
obrigatório

Lista de colunas na tabela

createdAt
string<date-time>
obrigatório

A data e hora em que a tabela foi criada

deleted
boolean
obrigatório

Especifica se a tabela está marcada como excluída.

deletedAt
string<date-time>
obrigatório

A data e a hora que indica quando a tabela foi excluída.

dynamicMetaTags
object
obrigatório

Especifica os pares de valores-chave dos campos de metadados com os IDs de coluna associados.

enableChildTablePages
boolean
obrigatório

Especifica a criação de páginas dinâmicas de vários níveis usando tabelas secundárias

id
string
obrigatório

ID da tabela

label
string
obrigatório

Rótulo da tabela

name
string
obrigatório

Nome da tabela

published
boolean
obrigatório

Indica se a tabela está atualmente publicada.

publishedAt
string<date-time>
obrigatório

A data e hora em que a tabela foi publicada recentemente

rowCount
integer<int32>
obrigatório

Número de linhas na tabela

updatedAt
string<date-time>
obrigatório

A data e hora em que a tabela foi atualizada recentemente

useForPages
boolean
obrigatório

Especifica se a tabela pode ser usada para criação de páginas dinâmicas

createdBy
object
isOrderedManually
boolean

Indica se as linhas da tabela estão ordenadas manualmente.

updatedBy
object
Last modified on February 12, 2026